/* busyMessage.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef BUSYMESSAGE_H
#define BUSYMESSAGE_H

// This class pops up a little window on the screen to inform the user
// of the unhappy news that a process is under way, it will likely
// take a while, and he/she will have no control during this time.
// Nor will there be a progress indicator.

// When the class object destructs, the window will go away, and
// presumably control is returned to the user.

#include "palomaWindow.h"

class BusyMessage : public PalomaWindow {
public:
  BusyMessage(const string &message);

protected:
  gint got_timeout();
  void layout_window();

  Gtk_Label _label;
  bool _timeout;
};

#endif

